#
# spec file for package firewalld-rpcbind-helper
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define main_script firewall-rpc-helper.py
Name:           firewalld-rpcbind-helper
Version:        0.1
Release:        lp151.4.1
Summary:        Tool for static port assignment of NFSv3, ypserv, ypbind services
License:        GPL-2.0-or-later
Group:          Productivity/Networking/Security
URL:            https://github.com/mgerstner/firewalld-rpcbind-helper
Source0:        https://github.com/mgerstner/firewalld-rpcbind-helper/archive/v0.1.tar.gz
Patch0:         shebang.patch
Patch1:         0001-main-script-fix-running-with-python3-need-to-decode.patch
Patch2:         0002-main-script-be-prepared-for-some-of-the-sysconfig-fi.patch
Requires:       python3
Recommends:     firewalld
BuildArch:      noarch

%description
This is a helper utility for the configuration of static NFSv3, ypserv and
ypbind network ports for use with firewalld.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
# nothing

%install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_docdir}/%{name}
cp LICENSE README.md %{buildroot}/%{_docdir}/%{name}
cp %{main_script} %{buildroot}/%{_bindir}/%{main_script}

%files
%doc %{_docdir}/%{name}
%{_bindir}/%{main_script}

%changelog
* Fri May 11 2018 matthias.gerstner@suse.com
  Fixes for bnc#1096064:
- 0001-main-script-fix-running-with-python3-need-to-decode.patch: fix error
  when running in python3 context, because of a missing decode() call.
- 0002-main-script-be-prepared-for-some-of-the-sysconfig-fi.patch: don't raise
  Exceptions when one of the target sysconfig files isn't installed.
* Tue Apr 17 2018 jengelh@inai.de
- Feed file through spec-cleaner
* Mon Apr 16 2018 matthias.gerstner@suse.com
- Require python3 and to be in line with the Leap-15 /
  SLE-15 situation (see OBS comments in sr#595722).
- shebang.patch: use python3 in shebang for the same reasons.
* Wed Apr 11 2018 matthias.gerstner@suse.com
- initial version of package
